The Eucalyptus plugin should report the cloud's capacity

Bug #599338 reported by Jamu Kakar on 2010-06-28
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Landscape Client
Medium
Jamu Kakar
landscape-client (Ubuntu)
Undecided
Unassigned
Jaunty
Undecided
Unassigned
Karmic
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned

Bug Description

The Eucalyptus plugin should report several things:

- The instance types that are available.
- The total number of each instance type the cloud can run.

This data is important when presenting a list of available instance
types, and also for the quota system we want to implement with Cloud
Deck.

Jamu Kakar (jkakar) on 2010-06-28
Changed in landscape-client:
milestone: none → 1.5.3
assignee: nobody → Jamu Kakar (jkakar)
importance: Undecided → Low
importance: Low → Medium
status: New → In Progress
Jamu Kakar (jkakar) on 2010-06-29
Changed in landscape-client:
status: In Progress → Fix Committed
tags: added: needs-testing
Changed in landscape-client:
status: Fix Committed → Fix Released
Changed in landscape-client (Ubuntu Maverick):
status: New → Fix Released

Accepted landscape-client into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in landscape-client (Ubuntu Lucid):
status: New → Fix Committed
tags: added: verification-needed
Martin Pitt (pitti) wrote :

Accepted landscape-client into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in landscape-client (Ubuntu Jaunty):
status: New → Fix Committed
Changed in landscape-client (Ubuntu Karmic):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted landscape-client into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Andreas Hasenack (ahasenack) wrote :

Verified in lucid with 1.5.4-0ubuntu0.10.04.0, the new information is being uploaded to Landscape.

(...)
                'url_for_s3': 'http://192.168.100.29:8773/services/Walrus'},
               'capacity_info': 'AVAILABILITYZONE\tbruterobe\t192.168.100.29\nAVAILABILITYZONE\t|- vm types\tfree / max cpu ram disk\nAVAILABILITYZONE\t|- m1.small\t0008 / 0008 1 128 2\nAVAILAB
ILITYZONE\t|- c1.medium\t0008 / 0008 1 256 5\nAVAILABILITYZONE\t|- m1.large\t0004 / 0004 2 512 10\nAVAILABILITYZONE\t|- m1.xlarge\t0004 / 0004 2 1024 20\nAVAILABILITYZONE\t|- c1.xlarg
e\t0002 / 0002 4 2048 20\n',
               'cluster_controller_info': 'registered clusters:\n bruterobe 192.168.100.29 \n',

Andreas Hasenack (ahasenack) wrote :

I don't have a UEC installation on karmic, so I can't do the same test I did for lucid. So I verified that the same piece of code is in the 1.5.4-0ubuntu0.9.10.0 package from karmic-proposed and that the client works.

Andreas Hasenack (ahasenack) wrote :

I don't have a UEC installation on jaunty, so I can't do the same test I did for lucid. So I verified that the same piece of code is in the 1.5.4-0ubuntu0.9.04.0 package from jaunty-proposed and that the client works.

tags: removed: needs-testing verification-needed
Martin Pitt (pitti) on 2010-08-23
tags: added: verification-done
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.5.4-0ubuntu0.10.04.0

---------------
landscape-client (1.5.4-0ubuntu0.10.04.0) lucid-proposed; urgency=low

  * New upstream version (LP: #610744):

    - The Eucalyptus management plugin reports the output of the
      'euca-describe-availability-zones verbose' command, which includes
      information about the available instance types and the maximum
      number of each instance type that the cloud can support (LP: #599338)

    - Check if the package directory exists before trying to check the
      package changer lock in the dbus-proxy. This fixes a bug when upgrading
      a dbus-landscape which never registered (LP: #603514).

    - Allow an LDS server to bootstrap new cloud instances with its own CA,
      which is picked up by the client, written to a file on the instance, and
      used in subsequent exchanges with the server (LP: #605079).

    - Skip loopback interface when reporting device info (LP: #608314)

    - Disable landscape-sysinfo when load is more than 1 (LP: #608278)
 -- Free Ekanayaka <email address hidden> Wed, 28 Jul 2010 08:14:02 +0200

Changed in landscape-client (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.5.4-0ubuntu0.9.04.0

---------------
landscape-client (1.5.4-0ubuntu0.9.04.0) jaunty-proposed; urgency=low

  * New upstream version (LP: #610744):

    - The Eucalyptus management plugin reports the output of the
      'euca-describe-availability-zones verbose' command, which includes
      information about the available instance types and the maximum
      number of each instance type that the cloud can support (LP: #599338)

    - Check if the package directory exists before trying to check the
      package changer lock in the dbus-proxy. This fixes a bug when upgrading
      a dbus-landscape which never registered (LP: #603514).

    - Allow an LDS server to bootstrap new cloud instances with its own CA,
      which is picked up by the client, written to a file on the instance, and
      used in subsequent exchanges with the server (LP: #605079).

    - Skip loopback interface when reporting device info (LP: #608314)

    - Disable landscape-sysinfo when load is more than 1 (LP: #608278)
 -- Free Ekanayaka <email address hidden> Wed, 28 Jul 2010 08:14:02 +0200

Changed in landscape-client (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.5.4-0ubuntu0.9.10.0

---------------
landscape-client (1.5.4-0ubuntu0.9.10.0) karmic-proposed; urgency=low

  * New upstream version (LP: #610744):

    - The Eucalyptus management plugin reports the output of the
      'euca-describe-availability-zones verbose' command, which includes
      information about the available instance types and the maximum
      number of each instance type that the cloud can support (LP: #599338)

    - Check if the package directory exists before trying to check the
      package changer lock in the dbus-proxy. This fixes a bug when upgrading
      a dbus-landscape which never registered (LP: #603514).

    - Allow an LDS server to bootstrap new cloud instances with its own CA,
      which is picked up by the client, written to a file on the instance, and
      used in subsequent exchanges with the server (LP: #605079).

    - Skip loopback interface when reporting device info (LP: #608314)

    - Disable landscape-sysinfo when load is more than 1 (LP: #608278)
 -- Free Ekanayaka <email address hidden> Wed, 28 Jul 2010 08:14:02 +0200

Changed in landscape-client (Ubuntu Karmic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers